For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get a demo
  • Introduction
    • Welcome
    • SDK
  • API Principles
    • Design Principles
    • Endpoint Availability
    • Versioning & Releases
    • Breaking Changes
    • Conventions
  • Developer API
  • Marketplace API
  • Platform API
      • GETGet Onboarding Status
      • GETGet Auth Integration Config
      • PUTPut Auth Integration Config
      • POSTTest Auth Integration
      • POSTComplete Onboarding
Get a demo
LogoLogo
Platform APIOnboarding

Test Auth Integration

Beta
POST
/platform/onboarding/v1/auth/test
POST
/platform/onboarding/v1/auth/test
$curl -X POST https://api.upshift.dev/platform/onboarding/v1/auth/test \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "config": {
> "type": "auth0",
> "clientId": "clientId",
> "clientSecret": "clientSecret",
> "domain": "domain"
> }
>}'
200Successful
1{
2 "domain": {
3 "type": "success"
4 },
5 "credentials": {
6 "type": "success"
7 },
8 "scopes": {
9 "type": "success"
10 }
11}
Was this page helpful?
Previous

Complete Onboarding

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
configobjectRequired

Response

This endpoint returns an object.
domainobject
credentialsobject
scopesobject